## this could go, it's really just so we notice if the soname changes
%define sover 0

%define gettext_package libgnomeprint-2.2

%define glib2_base_version 2.2.0
%define glib2_version %{glib2_base_version}
%define pango_version 1.5.0
%define libxml2_version 2.5
%define libart_lgpl_version 2.3.8
%define libbonobo_version 2.1.0
%define bonobo_activation_version 1.0.0
%define freetype_version 2.0.3
%define gtk_doc_version 0.9

Summary: Printing library for GNOME.
Name:		libgnomeprint22
Version: 	2.8.0
Release:	3
License:	LGPL
Group:          System Environment/Base
Source: 	libgnomeprint-%{version}.tar.bz2
URL:            http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

PreReq:	urw-fonts
PreReq:	ghostscript
PreReq:	ghostscript-fonts
PreReq: perl
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: libgnomecups >= 0.1.11-2
Requires: pango >= %{pango_version}

BuildPrereq: glib2-devel >= %{glib2_version}
BuildPrereq: pango-devel >= %{pango_version}
BuildPrereq: libxml2-devel >= %{libxml2_version}
BuildPrereq: libart_lgpl-devel >= %{libart_lgpl_version}
BuildPrereq: libbonobo-devel >= %{libbonobo_version}
BuildPrereq: bonobo-activation-devel >= %{bonobo_activation_version}
BuildPrereq: freetype >= %{freetype_version}
BuildPrereq: gtk-doc >= %{gtk_doc_version}
BuildPrereq: fontconfig
BuildPrereq: cups-devel
BuildPrereq: intltool
BuildPrereq: zlib-devel

BuildPrereq: automake16 >= 1.6.3
BuildPrereq: autoconf
BuildPrereq: libtool
BuildPrereq: libgnomecups-devel >= 0.1.9-2

# Re-autogen without GNOME_COMPILE_WARNINGS
Patch1: libgnomeprint-2.2.1.2-nognomecommon.patch
Patch5: libgnomeprint22-2.7.1-session-printing.patch
Patch7: libgnomeprint22-async-ppd.patch
Patch8: libgnomeprint22-async-printers.patch
Patch9: libgnomeprint22-status.patch
# Fix from CVS for http://bugzilla.gnome.org/show_bug.cgi?id=156641
Patch10: libgnomeprint22-2.8.0-subset.patch

%description 
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/Libraries

Requires: %{name} = %{PACKAGE_VERSION}
Requires: libgnomeprint22 = %{PACKAGE_VERSION}

Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: freetype >= %{freetype_version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%prep
%setup -q -n libgnomeprint-%{version}
#%patch1 -p1 -b .nognomecommon
#%patch5 -p1 -b .session-printing
%patch7 -p1 -b .async-ppd
%patch8 -p1 -b .async-printers
%patch9 -p1 -b .status
%patch10 -p1 -b .subset

%build

aclocal
libtoolize --force
autoconf
automake --add-missing
%configure --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.%{sover}
%{_libdir}/lib*.so.%{sover}.*
%{_libdir}/libgnomeprint
%{_datadir}/libgnomeprint

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc

%changelog
* Wed Nov 24 2004 Owen Taylor <otaylor@redhat.com> - 2.8.0-3
- Fix problem with Lain glyphs when subsetting some Asian fonts (#140010)

* Thu Sep 30 2004 Matthias Clasen <mclasen@redhat.com> - 2.8.0-2
- Fix display of queue length in the print dialog

* Mon Sep 27 2004 Owen Taylor <otaylor@redhat.com> - 2.8.0-1
- Version 2.8.0

* Fri Sep 03 2004 Matthias Clasen <mclasen@redhat.com> - 2.7.1-7
- Make updating the printer list async.

* Tue Aug 31 2004 Matthias Clasen <mclasen@redhat.com> - 2.7.1-6
- Update the async ppd patch

* Sat Aug 28 2004 Colin Walters <walters@redhat.com> - 2.7.1-5
- Do not actually apply session printing patch yet, need to
  wait for eggcups to support it.

* Fri Aug 27 2004 Matthias Clasen <mclasen@redhat.com> - 2.7.1-4
- Update and apply async ppd patch

* Fri Aug 13 2004 Colin Walters <walters@redhat.com> - 2.7.1-3
- Add session printing patch

* Wed Aug 11 2004 David Malcolm <dmalcolm@redhat.com> - 2.7.1-2
- Added explicit Pango dependency (1.5 or better) to fix problem with missing symbols (#129518)

* Tue Aug  3 2004 Owen Taylor <otaylor@redhat.com> - 2.7.1-1
- Upgrade to 2.7.1
- BuildRequires zlib-devel and intltooll (#111106, Maxim Dzumanenko)

* Fri Jul 30 2004 Colin Walters <walters@redhat.com> 2.7.0-4
- Add patch to remove polling of printer queues
- BuildRequire latest libgnomecups

* Thu Jul 29 2004 Colin Walters <walters@redhat.com> 2.7.0-3
- Backport patch to fix crash when no printers are available
- Require pango 1.4

* Thu Jun 17 2004 Matthias Clasen <mclasen@redhat.com> 2.7.0-2
- Add Location information to the gpa printer state.

* Tue Jun 15 2004 Colin Walters <walters@redhat.com> 2.7.0-1
- Update to 2.7.0 CVS
- Add current version of patch which implements dynamic updating,
  using libgnomecups.
- Add Requires: libgnomecups. 
- Add BuildPrereq: libgnomecups-devel. 

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 2.5.4-2
- Removed PreReq: XFree86, as it seems bogus.  Probably a leftover from a
  long time ago that is not needed anymore.  This change is needed in order
  to make the package X11 implementation agnostic, however if there is
  something that it does really require from the XFree86 package, we can
  use a file or directory dependancy instead, or a virtual provide can be
  added if need be.
- Added Requires(post): /sbin/ldconfig
- Added Requires(postun): /sbin/ldconfig

* Fri Mar 12 2004 Alex Larsson <alexl@redhat.com> 2.5.4-1
- update to 2.5.4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- update to 2.5.3

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 2.5.1-1
- update to 2.5.1

* Wed Jan  7 2004 Owen Taylor <otaylor@redhat.com> 2.4.2-1.1
- Upgrade to 2.4.2

* Thu Oct 23 2003 Owen Taylor <otaylor@redhat.com> 2.4.0-1
- Upgrade to 2.4.0

* Thu Aug 28 2003 Owen Taylor <otaylor@redhat.com> 2.3.1-2
- Make the fallback font "Sans Regular", not "Helvetica". Helvetica 
  was ending up picking the alphabetically first font on the system.
  (#79271. Tim Waugh)

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 2.3.1-1
- update for gnome 2.3

* Fri Aug  1 2003 Bill Nottingham <notting@redhat.com> 2.2.1.3-4
- remove extraneous libxml dependency

* Wed Jul  9 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.3-3.0
- Bump for rebuild

* Mon Jun 23 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.3-2
- Add --add-missing to automake

* Mon Jun 23 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.3-1
- Version 2.2.1.3

* Thu Jun 12 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.2-2
- Version 2.2.1.2
- Fix problem with mismatched libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Owen Taylor <otaylor@redhat.com>
- Fix crash from HP Color LaserJet 4500 PPD file 
  (http://bugzilla.gnome.org/show_bug.cgi?id=106984)

* Fri Feb 14 2003 Tim Powers <timp@redhat.com> 2.2.1.1-2
- remove buildreq on Xft

* Tue Feb  4 2003 Alexander Larsson <alexl@redhat.com> 2.2.1.1-1
- Update to 2.2.1.1 (needed for new gedit)

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.1.8-4
- BuildPrereq: cups-devel and use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- rebuild to get all arches

* Thu Jan 16 2003 Havoc Pennington <hp@redhat.com>
- 2.1.8

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.1.4-3
- rebuild

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- initial build of libgnomeprint 2.2 (version 2.1.4)
- don't try to prereq ourselves, wtf was that about

